
Changes from 4.2 to 4.5

 * BUG FIXED: If the currently selected background color was contained in the active gradient then
	this color was not drawn when using the color cycle paint mode.
 * BUG FIXED: If you where advancing through the frames with the shortcut "2" while doing single
	dot drawings then sometimes a frame was skipped without drawing a brush dot.
	This only happens if the mouse was clicked very fast.
 * Now gradients can be enabled and disabled for color cycling without changing their speed to zero.
	Also the active-flag is now recognized when loading and saving iff/lbm files.
	NOTICE: Old iff/lbm files saved by Pro Motion will load with all gradients DISABLED for
	color cycling, because these files where saved only with gradients speeds but without the
	now supported "active-flag".
 * BUG FIXED: Under some few systems an internal safely calculated "division by zero" led to
	a blue screen system crash.
 * New function added: menu Animation->Create from Color Cycling
 * The brush grip is now reset to center if a predefined brush is selected.
 * Most shortcuts can be customized. See preferences section "Shortcuts"
 * BUG FIXED: When using the "flip frames" function (menu "Animation") then a "divide by
	zero" - error occured if the animation only contained a single frame.
 * BUG FIXED: In the dialog for editing a single color it happened that an RGB-value could not correctly
	be entered into the edit fields if there where less than 8 bits set for each
	color channel in the preferences (preferences section RGB).
 * BUG FIXED: On some computers an "Invalid floating point operation"- error or even a blue
	screen occured when using the fill tool or the brush selection tool.
	This seems to be caused by certain display drivers which can't handle screen updates
	that are only one pixel in size.
 * When saving images as "*.LBM" then the so called "PBM"-body is used within the bitmap file and
	when saving images as "*.IFF" then the so called "ILBM"-body is used within the bitmap file.
	Some other software packages are only able to read IFF/LBM-files with these body types.
 * BUG FIXED: Some AVI-files have not been loaded correctly if their width wasn't a multiple
	of 4. The loaded animation then looked "oblique".
 * BUG FIXED: When loading BMP-files under Win2000 and WinXP the pixels of the image where
	remapped to the first matching palette entry. This seems to be done internally by certain windows
	functions that have been changed with Win2000.
 * BUG FIXED: When colors have been changed within the resizeable floating palette window
	then the changes where not copied to all other frame palettes if the
	"equal palettes" option was enabled.
 * BUG FIXED: The plugin command "GETCURRENTFILENAME" did not work correctly with animation
	files.
 * The "Check for Errors" function (menu Animation->Color Tile Mapping) has been improved.
	Pixels that exceed a tile palette are marked 
		- white if there is a palette where the tile would completely fit in
		- red if there is no palette the tile would fit in.
 * The "Optimize Palettes" function (menu Animation->Color Tile Mapping) has been improved and
	several bugs have been fixed.
 * A new symmetry painting (similar to the one in DPaint) was added. It can be enabled using
	the lockgrid tool/dialog.
 * BUG FIXED: The curve tool sometimes left error pixels on the image.
 * The gradient editor has been extended by sliders to change hue, saturation and brightness
	of a gradient.
 * BUG FIXED: The stencil did not work with the airbrush tool.
 * Minimal frame size is now 1x1 pixels.
 * The "unsaved changes" - warning message has been removed for swapping the spare frame with
	the current frame
 * BUG FIXED: When a brush from the brush container is taken, then the halve and double
	functions did not work correctly with this brush. The previous brush reappeared
	instead of resizing the current one.



Changes from V4.0.1.400 to V4.2

* The zoom grid settings now offer secondary rule sizes that can be toggled while
	drawing with Shift+G
* ALT+ 1..6 switches between projects
* When saving an animation as single images (menu "Animation") then you can now define
	a number to start with when creating the image file names (f.e. use "5" and
	the first image is saved as PREFIX0005.pcx)
* The number of available Undo-steps can be defined in the preferences (section "Directories/Undo")
* TGA I/O imports 8,16,24 bit images
* PNG I/O imports all color depths
* If you use unequal frame delay values then they are now recognized by the AVI-saver.
	AVI only supports equal frame delays. So frames are repeatedly saved for larger
	delay values. Please do not import such AVI-files, because they usually contain
	too much frames to be handled by Pro Motion.
  THIS IS AN OPTION NOW which can be found in the preferences!
* New submenu in menu color called "Color Tile Mapping", which helps to optimize
	graphics for Gameboy Color, NeoGeo Pocket or other platforms using different
	palettes for tiles of a fixed size.
* Plugins can be started via keyboard shortcut
* BUG FIXED: When using the keyframer the lowest brushline disappeared
* BUG FIXED: The paint mode "Replace" did not work with the keyframer
* BUG FIXED: In the palette editor the "swap with"-mode wasn't switched off after
	swapping two colors



Changes from V4.0.1 to V4.0.1.400

 * BUG FIXED: Sometimes when changing the zoom mode with active(!) Zoom Grid an
	Access Violation occured
 * BUG FIXED: When loading an animation/image from the New-Requester then the filename
	was not automatically used for the next saving
 * The plugin interface has been extended
 * When changing the zoom level values then the image zooms into its center.
 * The grid colors can now be selected using RGB-values. The actual grid color is then
	the nearest matching color within the current palette.
 * The zoom grid can now be switched on/off independend from the additional rulers
	(see menu Options|Adjust Zoom Grid)
 * Toolbox window can now be made much smaller (useful for 640x48 modes)
 * "Save as single Images" from the Animation menu accepts a starting value concerning
	the image counter that is included with the file name.
 * If you save an animation as single images or you save frames seperately to image files
	then its file name is displayed in the title bar for each single frame.
 * Preferences got a new tab "RGB" where you can select different bit values for each
	color channel. This affects only colors that are changed by either the gradient
	or the color editor. This option is useful for i.e. GBC or PSX Developers.
 * Menu entries in the Clipboard menu have been renamed.
 * BUG FIXED: Light Table Adjustment now works without "Access Violation Error"
 * BUG FIXED: Importing a true color image from the clipboard caused an "Access Violation Error"
	if the image was higher than the current one.



Changes from V4.0 to V4.0.1

 * When switching between projects they remember their current frame
 * Circle now supports AnimPainting (ALT+CTRL)
 * When you work with a requester that has a frame range input (i.e. "Delete Range of Frames") then
      you can doubleclick on the "Last Frame" input field to automatically fill this field with
 	the last frame of the current animation.
 * KNOWN PROBLEM: When using scale values for the animation window which are larger than "1x"
	then the playback becomes very slow under NT. This happens when you have your desktop set
      to a higher color depth than 8bit. PM uses 8bit bitmaps and for some reason(?) NT is very
 	slow when converting 8bit bitmaps to another color depth (i.e. 16bit).
 * Now there is a MINIMIZE function contained in the brush menu. It reduces the brush size
	to it's minimum bounding reactangle that is used by non-transparent pixels.
 * Redo can now be executed with either "i" or "Shift+u" (Amiga Brilliance Shortcut)
 * If you use unequal frame delay values then they are now recognized by the AVI-saver.
	AVI only supports equal frame delays. So frames are repeatedly saved for larger
	delay values. Please do not import such AVI-files, because they usually contain
	too much frames to be handled by Pro Motion
 * If a brush is copied from the clipboard, then the current background color
	is choosen to be transparent
 * When drawing a line, the length and angle are also displayed besides width and height
 * ALT key activates menu if not used while drawing
 * RGB sliders for the palette window have been added
 * Automatic color remapping after "Get Colors from Brush" has been disabled
 * Now the transparent brush color can be selected using a color table display
 * +/- resizes the brush using percent values that can be set in the Preferences
	(section Miscellaneous)
 * Brush rotation now uses slight AntiAliasing (AntiAlias-switch on the toolbar must be activated)
 * Brush "double" and "halve" functions can now be used in any order without data loss
 * Preferences section "Directories" got an option added where you can select the maximum
	number of Undo-steps
 * BUG FIXED: Asymmetric Circles
 * BUG FIXED: Some object functions (line, circle etc.) have shown wrong width and height info
			(one pixel too less)
 * BUG FIXED: AVI-import now works with low color AVI (<=256 colors)
 * BUG FIXED: +/- did not resize a brush taken from the container
 * BUG FIXED: Sometimes a text brush became invisible when selecting certain colors
 * BUG FIXED: Brush outline caused horizontal lines at the bottom of the brush
 * BUG FIXED: Animation Requester and recent brush dot selection didnīt work correctly
			when using a custom grip
 * BUG FIXED: Access Violation Error when zooming
 * BUG FIXED: Color Quantization of 24bit images did actually not support reduction
			to <8 colors (now possible)
 * BUG FIXED: Paint Single Color ... now shortcut ALT+F2 instead of CTRL+F6
 * BUG FIXED: Remap Brush Colors did not keep the transparent color
 * BUG FIXED: Undo is flushed after color remap operations
 * BUG FIXED: Copying a frame to the clipboard sometimes caused black lines on the right border
 * BUG FIXED: Load from single images did not work with long directory names
 * BUG FIXED: Color 0 has always been set to black, regardless which default table was loaded
 * BUG FIXED: The built in interactive movement/rotation requester of the keyframer did not
			display the background image correctly
 * BUG FIXED: Loading a custom palette sometimes caused an Access Violation Error
 * BUG FIXED: Sometimes an "Access Violation in Kernel32.dll" message appeared and made the
			whole system crash (win95)


Changes from V3.31 to V4.0

 * Function to count used colors (menu COLORS->COUNT COLORS USED)
 * The paint mode settings (menu MODE->SETTINGS) requester now has
	a palette for different dither patterns
 * Zoom levels 1-9 can be set using CTRL+1..9
 * Palettes can be sorted by Hue, Saturation, Brightness and Color
  	(menu COLORS->SORT PALETTE)
 * Modified Anti-Aliasing algorithm. More scalable now.
 * New fill modes for flood filling
 * Flood filling with tolerance value
 * Stencil colors can be selected using a tolerance value
 * Shortcuts for the animation playback control have been changed
  	(See shortcut list in the online help)
 * Some new prefences (menu FILE->PREFERENCES)
 * Function to revert a range of animation frames
  	(menu ANIMATION->REVERT FRAMES)
 * New transition effects (menu FILE->EFFECTS)
 * To create symmetric objects (square, circle) the ALT-key must
  	be held now
 * Flood filling can be applied to all following frames by holding
  	the ALT-key
 * The scroll frame functions can scroll all frames now
  	(menu FRAME->SCROLL->SCROLL ALL FRAMES must be enabled)
 * IFF animations (Anim5) are now supported for reading with all
 	color depths up to 256 colors.
 * Each frame can get an own file name for saving
 * Shortcuts for loading and saving animations/images have been changed
 * New paint modes: SMEAR, BLEND
 * Add/Delete frame buttons have been added to the animation control
 	panel
 * The zoom grid was improved (menu OPTIONS->ZOOM GRID->ADJUST ZOOM GRID)
 * Shortcut for brush color remapping
 * Preferences for JPG export
 * Delete/Insert Frames (menu FRAME->...)
 * Default colors button to make the current foreground color to be white
 	and the background color to be black
 * Improved Stencil creator
 * New preference to create text brushes as single color brushes. When a
  	brush is single colored it's color can be changed.
 * You can create an animation from the undo buffer. That means an animation 
  	is created from your drawing steps (menu ANIMATION->CREATE FROM UNDO BUFFER)
 * New shortcut for adjusting the lighttable
 * BMP files can now be saved with least possible color depth
   	(see FILE->PREFERENCES|MISCELLANEOUS)
 * New clipboard functions (see menu CLIPBOARD). Also 24bit images can now be
  	imported.
 * The animation window can be centered to the screen and placed back to the old position
  	using ALT+V.
 * 24bit images are supported for reading (BMP and JPG files). Can be reduced to X colors
  	using optimized or custom palette and optional Floyd/Steinberg dithering. 
 * The requester for loading an animation from single images (menu ANIMATION...)
  	has been changed to support 24bit import options
 * The "remap colors" functions for brush, frame and animation have been moved to
  	the COLORS menu
 * The "remap colors incl. system" functions have been removed
 * Resample colors functions can be found in the COLORS menu. Works like remap colors
  	but applies Floyd/Steinberg dithering to increas quality
 * Color reduction supports dithering now (menu COLORS->REDUCE COLORS)
 * One palette function is now SINGLE PALETTE (menu COLORS) and supports dithering
 * An AnimBrush can be stamped down on a range of frames by using the paint dotted
  	tool together with ALT+CTRL (was ALT before)
 * The menu COLORS has been changed
 * When using the ALT-key with single dot, continuous painting, lines and curves starts
  	AnimPainting (frames are flipped while drawing)
 * Gray button has been added to the gradient editor
 * New functions to remove unused or duplicate colors (menu COLORS->REMOVE COLORS)
 * The brush distortion functions MIRROR, ROTATE, SHRINK, OUTLINE, OUTLINE INVERT can now
  	be used with AnimBrushes too
 * AVI saver now supports all installed CODECS
 * "+" and "-" to increase/decrease the brush size now work with all brush types
 * Gradient cycling settings can now be saved and loaded with the lbm/iff file type
 * Functions to swap foreground and background colors within image or brush
  	(menu COLORS->SWAP FG<>BG COLOR)
 * Improved GIF89a export plugin. Has better size optimization.
 * Separate Pro Motion player software has been added


Changes from V3.0 to V3.31

 * The interactive move/rotation-dialog (appears when clicking on the
  	first or last frame image in the "create animation"-dialog)
  	has now an option that lets you display the corresponding frame
  	as background. This makes precise positioning much easier.
 * The magnify-tool lets you now define an area that is to be zoomed.
 * The "New Animation"-requester now offers a list of predefined
  	screen sizes.
 * New preferences dialog box. Preferences are sorted by sections.
 * Itīs possible to select whether the "New Animation"-requester
  	is to be displayed on startup (see File|Preferences|Windows)
 * The "X"-button on the magnify-window now brings up the "New Animation"-
  	requester instead of minimizing the window
 * The toolbox got two new buttons added ("Edit Palette","Edit Gradient").
 * Holding ALT+N lets you move the canvas with your mouse
 * SHIFT+LeftClick on the brushcontainer swaps current brush with the one
  	in the container
 * On the right side of the six project-buttons a trash-button has been added.
  	Click on it to delete the current project
 * LeftClick on the project-button of the current project brings up the
  	"New Animation"-requester
 * After creating a brush from current image using box/free/polygon selection
  	the last used painttool is activated instead of activating the single
  	dot painttool (see Preferences|Miscellaneous)
 * Colorcycling now works with the 3d-keyframer (was a bug)
 * The swap-, copy-, ramp-functions in the "Edit Palette"-Dialog now work
  	more DPaint-like. I.e. if you click on "Ramp to" the cursor becomes a crosshair
  	and you have to click on a color to ramp to, beginning with the currently
  	selected foreground color (white box).
 * Settings for adjustable paintmodes like "brighten", "darken" etc. and
  	the lockgrid-values are now saved automatically 
 * It's now possible to render a 3d-animation backward. That means the first
  	frame may have a higher number than the last frame when using the keyframer
 * The brush grip can be set to a custom position. This very useful when
  	working with the 3d-keyframer
 * Shortcuts for Zoom out/in are now "<" and "Shift+<"
 * "+", "-" increases/decreases brush size (only works with round or rectangular
  	brushes)
 * Tile-painting is now available (see lockgrid-settings); works only
  	with single dot/continous painting, (filled) rectangle, (filled) circle,line
 * Filled circle/rectangle buttons have been removed from the toolbox.
  	Doubleclick on the circle/rectangle button to choose between filled and
  	hollow mode
 * Support for Microsoft Color Palettes has been added
 * Centered circles are now possible (see File|Preferences|Miscellaneous)
 * Windows are now docking to each other
 * 256 color icons (*.ico) and animated cursors (*.ani)
  	are now supported for reading and writing (see FILE|PREFERENCES section AniCursor/Icons)
 * Shortcut CTRL+F4 for "Paint Single" was changed to CTRL+F6
 * Some new shortcuts:
	SHIFT+P :  Put Frame to Clipboard
	SHIFT+G :  Get Frame from Clipboard
	SHIFT+L :  Load Animation as single Images
 * Default Page Size and Zoom can be set (see File|Preferences|Miscellaneous)
 * Colorcycling now works with line/rectangle/circle
 * The filltool now supports brush filling (pattern & wrap)
 * The Create Text Dialog has been improved
 * Autotransparency -> if you create a rectangular brush and all four corner-points of
  	the selected region have the same color then this color is automatically used as
  	transparent (see File|Preferences|Miscellaneous)
 * New paintmode "Replace" like normal paint, but without transparency
 * The zoomlevel can now be selected from a drop down list (on the toolbox)
 * Doubleclick on zoom-tool jumps to zoomlevel 1
 * Rightclick on the "get brush"-tools restores last brush
 * New copy-frames dialog (see menu Frame|Copy)
 * Scale property for animation window (removed from options)
 * You can define different window-positions when using the zoom-tool.
  	(See Options|Windows|Save Positions/Sizes (Zoom)  and File|Preferences|Windows)
 * Gradient-dialog got a color cycle function
 * The keys for advancing through the palette (default: [ ] ) can now be changed
  	(see File|Preferences|Controls)
 * uncompressed AVI export
 * the brush is now also displayed when using the spray tool together with brush mode
 * when resizing a brush the ALT-key can be used to switch between normal and proportional
  	stretching
 * when using the spare frame as background in the "Create Animation"-requester, the
  	spare frame is now only displayed where the current background color is used (background color
  	=transparent). This makes it possible to apply a background to a previously animated
  	section.
 * Stencil now works with "Create Animation"
 * "Update Color" checkbox was added for the Palette and Gradient Editor -> immediately 
  	applies color changes to the current image
 * Gradient cycling is possible while drawing (see Help for the Gradient Editor)